# Return function to interpolate a REACH color palette — pal_reach • visualizeR
Return function to interpolate a REACH color palette

Skip to contents

# Return function to interpolate a REACH color palette

Source: `R/pal_reach.R`
`pal_reach.Rd`

Return function to interpolate a REACH color palette

## Usage

    pal_reach(
      palette = "main",
      reverse = FALSE,
      color_ramp_palette = FALSE,
      show_palettes = FALSE,
      ...
    )

## Arguments

palette

  Character name of a palette in REACH palettes

reverse

  Boolean indicating whether the palette should be reversed

color_ramp_palette

  Should the output be a `grDevices::colorRampPalette` function or a vector of hex codes? Default to the former with `TRUE`

show_palettes

  Should the ouput be the set of palettes names to pick from? Default to `FALSE`

...

  Additional arguments to pass to colorRampPalette()

## Value

A color palette